;================================================================================
;
;TIA-232 RUN-TIME PROCESSING LOOKUP TABLES
;
;	
;	These are self-configuring data tables that assemble according to the
;	number of communication channels defined for the UART, represented by
;	the symbol N_SCHANS.
;	
;
d92chtab                       ;communication channels
.a       .= io_acia            ;base address
         .rept n_schans
             .word .a
.a           .= .a+s_c92blk
         .endr         
;
e32rbtab                       ;RxD buffer pointers
ba       .= e32bufs            ;base address
         .rept n_schans
             .word ba
ba           .= ba+s_e32buf         
         .endr
;
e32tbtab .rept n_schans        ;TxD buffer pointers
             .word ba
ba           .= ba+s_e32buf         
         .endr
;
d92rqtab .rept n_schans/2      ;RxD IRQ status bits
             .byte u92arirq,u92brirq
         .endr
;
d92tqtab .rept n_schans/2      ;TxD IRQ status bits
             .byte u92atirq,u92btirq
         .endr
;
d92tstab                       ;UART TxD status bits
.i       .= 0
         .rept n_schans
             .byte 1 << .i
.i           .= .i + 1
         .endr
;
	.end
